#!/bin/bash -e

install -m 644 files/octoprint.service ${ROOTFS_DIR}/etc/systemd/system/octoprint.service 

on_chroot << EOF
if ! pip list | grep -F octoprint; then
  if [[ ! -d /srv/octoprint ]]; then mkdir -p /srv/octoprint; fi
  cd /srv/octoprint || exit 1
  chown octoprint:octoprint /srv/octoprint || exit 1
  virtualenv venv || exit 1
  source venv/bin/activate || exit 1
  pip install pip --upgrade 
  pip install octoprint || exit 1
  chown -R octoprint:octoprint /srv/octoprint
fi
EOF
